CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

DefaultPlotStyleForLayer Property (ActiveX)

2023-1-3 19:15| 发布者: admin| 查看: 431| 评论: 0|来自: AutoCAD

摘要: 为新图形或使用早期版本的 AutoCAD 创建的图形指定图层 0 的默认打印样式,这些图形从未以 AutoCAD 2000 或更高版本格式保存。

为新图形或使用早期版本的 AutoCAD 创建的图形指定图层 0 的默认打印样式,这些图形从未以 AutoCAD 2000 或更高版本格式保存。

支持的平台:仅窗口

签名

工 务 局:

object.DefaultPlotStyleForLayer
对象

类型:首选项输出

此属性适用的对象。

属性值

只读:

类型:字符串

您可以输入默认值“正常”,并输入当前加载的打印样式表中定义的任何打印样式。

言论

此属性的初始值为“正常”。

此属性仅在设置为 时可用。PlotPolicyacPolicyNamed

使用该属性查找当前打印样式。DefaultPlotStyleTable

注意:此属性的值存储在 DEFLPLSTYLE 系统变量中。

例子

工 务 局:

Sub Example_DefaultPlotStyleForLayer()
    ' This example reads and modifies the preference value that controls
    ' the default plot style assigned to layers.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesOutput
    Dim originalPolicyValue As Variant, originalValue As Variant, _
        originalPlotStyleTableValue As Variant, newValue As Variant
    
    ' Get the output preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Output
    
    ' Set the default plot style to named plot styles
    originalPolicyValue = ACADPref.PlotPolicy
    ACADPref.PlotPolicy = acPolicyNamed
    
    ' Read and display the original value
    originalValue = ACADPref.DefaultPlotStyleForLayer
    MsgBox "The DefaultPlotStyleForLayer preference is: " & originalValue

    originalPlotStyleTableValue = ACADPref.DefaultPlotStyleTable
    ACADPref.DefaultPlotStyleTable = "acad.stb"

    ' Toggle and display the DefaultPlotStyleForLayer preference
    If ACADPref.DefaultPlotStyleForLayer = "Style 1" Then
        ACADPref.DefaultPlotStyleForLayer = "Normal"
    Else
        ACADPref.DefaultPlotStyleForLayer = "Style 1"
    End If

    newValue = ACADPref.DefaultPlotStyleForLayer
    MsgBox "The DefaultPlotStyleForLayer preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.DefaultPlotStyleForLayer = originalValue
    MsgBox "The DefaultPlotStyleForLayer preference was reset back to: " & originalValue
    
    ' Restore the original plot style
    ACADPref.PlotPolicy = originalPolicyValue
    ACADPref.DefaultPlotStyleTable = originalPlotStyleTableValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DefaultPlotStyleForLayer()
    ;; This example reads and modifies the preference value that controls
    ;; the default plot style assigned to layers.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))

    ;; Get the output preferences object
    (setq ACADPref (vla-get-Output preferences))

    ;; Set the default plot style to named plot styles
    (setq originalPolicyValue (vla-get-PlotPolicy ACADPref))
    (vla-put-PlotPolicy ACADPref acPolicyNamed)

    (setq originalPlotStyleTableValue (vla-get-DefaultPlotStyleTable ACADPref))
    (vla-put-DefaultPlotStyleTable ACADPref "acad.stb")
  
    ;; Read and display the original value
    (setq originalValue (vla-get-DefaultPlotStyleForLayer ACADPref))
    (alert (strcat "The DefaultPlotStyleForLayer preference is: " originalValue))

    ;; Toggle and display the DefaultPlotStyleForLayer preference
    (if (= (vla-get-DefaultPlotStyleForLayer ACADPref) "Style 1")
        (vla-put-DefaultPlotStyleForLayer ACADPref "Normal")
        (vla-put-DefaultPlotStyleForLayer ACADPref "Style 1")
    )

    (setq newValue (vla-get-DefaultPlotStyleForLayer ACADPref))
    (alert (strcat "The DefaultPlotStyleForLayer preference has been set to: " newValue))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-DefaultPlotStyleForLayer ACADPref originalValue)
    (alert (strcat "The DefaultPlotStyleForLayer preference was reset back to: " originalValue))

    ;; Restore the original plot style
    (vla-put-PlotPolicy ACADPref originalPolicyValue)
    (vla-put-DefaultPlotStyleTable ACADPref originalPlotStyleTableValue)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 03:18

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部